var fg_mode = 1;
var fg_Delta = 0;
var fg_diff = -4;
var fg_format_h = "H:mm:ss";
var fg_format_d = "d/MM ";

//***********************************************************************************
function fg_timeInit(mode,delta,diff,format_h,format_d)
{
	fg_mode = mode;
	fg_Delta = delta;
	fg_diff = diff;
	fg_format_h = format_h;
	fg_format_d = format_d;
	fg_adjustTime();
}
//***********************************************************************************
function fg_returnTimeInit(mode, delta,diff,format_h,format_d)
{
	fg_mode = mode;
	fg_Delta = delta;
	fg_diff = diff;
	fg_format_h = format_h;
	fg_format_d = format_d;
	fg_adjustReturnTime();
}
//***********************************************************************************
function fg_newDate(mode) 
{
	var date = new Date();
	if (mode == 0) //Hora cliente
		return date;
	if (mode == 1) //Hora servidor
	{
		date.setTime(date.getTime() - fg_Delta);
		return date;
	}
	if (mode == 2) //Hora cliente minutos y segundos servidor
	{
		var horas = 1000 * 60 * 60;
		var diff = 0;
		if (fg_Delta < 0)
			diff = -((- fg_Delta) % horas);
		else
			diff = fg_Delta % horas;
		date.setTime(date.getTime() - diff);
		return date;			
	}
	if (mode == 3) //Hora servidor + differencia
	{
		var horas = 1000 * 60 * 60;
		var diff = fg_diff * horas;		
		date.setTime(date.getTime() - fg_Delta + diff);
		return date;			
	}
}
//******************************************************************************************
function fg_adjustTime(){
	if (!fg_newDate)
		return;
	try {
		var date = fg_newDate(fg_mode);
		var date2 = fg_newDate(fg_mode);
		obj = document.getElementById("llegada1");
		if (obj != null) 
		{
			var dur = 0;
			if (typeof(document.defaultView.duration) == "function") dur = document.defaultView.duration();
			else if (typeof(document.duration) == "function") dur = document.duration();
			else dur = duration();			
			date.setTime(date.getTime() + (dur*1000));
			if (date.getDate() != date2.getDate())
				obj.innerHTML = fg_formatDate2(date,fg_format_d+" "+fg_format_h);
			else
				obj.innerHTML = fg_formatDate2(date,fg_format_h);	
			date.setTime(date.getTime() + (dur*1000))
		}
		obj = document.getElementById("llegada2");
		if (obj != null) 
		{	
			if (date.getDate() != date2.getDate())
				obj.innerHTML = fg_formatDate2(date,fg_format_d+" "+fg_format_h);
			else
				obj.innerHTML = fg_formatDate2(date,fg_format_h);	
			setTimeout(fg_adjustTime, 250);
		}
	} catch (e) {
		setTimeout(fg_adjustTime, 500);
	}
}

//******************************************************************************************
function fg_adjustReturnTime(){
	try {
		var i=0;
		var obj;
		var date2 = fg_newDate(fg_mode);
		obj = document.getElementById("time_"+i);
		while (obj != null) {
			var date3 = fg_newDate(1);
			var cell = obj.parentNode.parentNode;
			var startTime = cell.previousSibling.previousSibling.previousSibling.previousSibling.previousSibling.previousSibling;
			startTime = getDateFromFormat(startTime.innerHTML + " " + (1900+date3.getYear()),"E MMM d H:m:s y");
			var endTime = cell.previousSibling.previousSibling;
			endTime = getDateFromFormat(endTime.innerHTML + " " + (1900+date3.getYear()),"E MMM d H:m:s y");
			if (endTime < date3.getTime()) 
			{
				obj.innerHTML = "-";
				i++;
				obj = document.getElementById("time_"+i);
				continue;
			}
			var date = fg_newDate(fg_mode);
			date.setTime(date.getTime() + date3.getTime() - startTime);
			if (date.getDate() != date2.getDate())
				obj.innerHTML = fg_formatDate2(date,fg_format_d+" "+fg_format_h);
			else
				obj.innerHTML = fg_formatDate2(date,fg_format_h);		
			i++;
			obj = document.getElementById("time_"+i);
		}
		if (i > 0)
			setTimeout(fg_adjustReturnTime, 250);
	} catch (e) {
		alert(e);
	}
}